Bug 1306571 - Review Request: python-flask-multistatic - A simple flask plugin to allow overriding static files
Review Request: python-flask-multistatic - A simple flask plugin to allow ove...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 05:22 EST by Pierre-YvesChibon
Modified: 2016-04-05 14:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 20:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2016-02-11 05:22:59 EST
Spec URL: http://pingou.fedorapeople.org/RPMs//python-flask-multistatic.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//python-flask-multistatic-1.0-1.fc23.src.rpm

Description:
Simple flask plugin allowing to override static files, making theming flask
applications really easy.
Comment 1 Upstream Release Monitoring 2016-02-11 05:25:03 EST
pingou's scratch build of python-flask-multistatic-1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12941862
Comment 2 Patrick Uiterwijk 2016-02-15 04:43:30 EST
I'll do this review.
Comment 3 Patrick Uiterwijk 2016-02-17 04:37:14 EST
Key: [X] passed, [F] failed, [-] irrelevant

[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[x] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use sha256sum for this task.
    If no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
    upstream: f5e9c8e451dceb18dc6343a72021c93c5fc509fdf960fa41639c98cd33289b5c
    srpm:     f5e9c8e451dceb18dc6343a72021c93c5fc509fdf960fa41639c98cd33289b5c
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[x] MUST: Each package must consistently use macros. 
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[x] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8. 
[-] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream to include
    it. 
[-] SHOULD: The description and summary sections in the package spec file
    should contain translations for supported Non-English languages, if
    available. 
[x] SHOULD: The reviewer should test that the package builds in mock. 
[x] SHOULD: The package should compile and build into binary rpms on all
    supported architectures. 
[x] SHOULD: The reviewer should test that the package functions as described. A
    package should not segfault instead of running, for example.
[-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
    vague, and left up to the reviewers judgement to determine sanity. 
[-] SHOULD: Usually, subpackages other than devel should require the base
    package using a fully versioned dependency. 
[-] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
    this is usually for development purposes, so should be placed in a -devel
    pkg. A reasonable exception is that the main pkg itself is a devel tool not
    installed in a user runtime, e.g. gcc or gdb. 
[-] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
    /usr/bin, or /usr/sbin consider requiring the package which provides the
    file instead of the file itself. 
[x] SHOULD: your package should contain man pages for binaries/scripts. If it
    doesn't, work with upstream to add them where they make sense.



Package is APPROVED.
Comment 4 Pierre-YvesChibon 2016-02-17 04:46:10 EST
Thanks for the review, asking it on pkgdb :)
Comment 5 Gwyn Ciesla 2016-02-17 08:36:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-flask-multistatic
Comment 6 Fedora Update System 2016-02-20 05:31:38 EST
python-flask-multistatic-1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-18834810b4
Comment 7 Fedora Update System 2016-02-20 05:31:38 EST
python-flask-multistatic-1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-baeb239523
Comment 8 Fedora Update System 2016-02-20 05:31:40 EST
python-flask-multistatic-1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-18834810b4
Comment 9 Fedora Update System 2016-02-21 01:21:17 EST
python-flask-multistatic-1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-baeb239523
Comment 10 Fedora Update System 2016-02-21 12:58:37 EST
python-flask-multistatic-1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-18834810b4
Comment 11 Fedora Update System 2016-03-01 20:51:28 EST
python-flask-multistatic-1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-04-05 14:24:33 EDT
python-flask-multistatic-1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.